spec:
  inputs:
    stage_prefix:
    branch_name:
      default: "main"
    environment_name:
      default: "play"
    rule_pattern:
      default: "main"
---

build-job-template:
  stage: $[[ inputs.stage_prefix ]]
  environment: $[[ inputs.environment_name ]]
  script:
    - echo "TEMPLATE JOB..."
    - echo "Showing variables by environment..."
    - echo "ENVIRONMENT >> $ENVIRONMENT"
    - echo "BASE_URL >> $BASE_URL"
    - echo "EXPIRE_IN >> $EXPIRE_IN"
    - echo "Compile complete."
  rules:
    - if: $CI_COMMIT_BRANCH =~ /^$[[ inputs.rule_pattern ]]/
      when: on_success
    - when: never

...
